package org.jboss.tools.examples.controller;

import java.util.List;

import javax.enterprise.inject.Model;
import javax.inject.Inject;

import org.jboss.tools.examples.model.Member;
import org.jboss.tools.examples.service.MemberSearch;

@Model
public class SearchController
{
   @Inject
   MemberSearch memberSearch;
   
   private String query;
   
   private List<Member> results;
   
   public List<Member> getResults()
   {
      return results;
   }

   public void reindex() throws InterruptedException {
      memberSearch.reindex();
   }

   public String getQuery()
   {
      return query;
   }

   public void setQuery(String query)
   {
      this.query = query;
   }
   
   public void search() {
      results = memberSearch.search(query);
   }
}
